Bug 214634 - bluecurve style plays badly with kdevelop simplified ideal mode
bluecurve style plays badly with kdevelop simplified ideal mode
Product: Fedora
Classification: Fedora
Component: redhat-artwork (Show other bugs)
All All
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2006-11-08 13:41 EST by Matthew Woehlke
Modified: 2008-05-06 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:45:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Woehlke 2006-11-08 13:41:13 EST
The bluecurve style forces all buttons to be at least 30 pixels. This results in
kdevelop's "simplified ideal" mode using excessive space for the tab bars.
Additionally bluecurve does not use correct colors to draw resize handles (seen
in kdevelop simplified ideal and also QT designer).

Also see http://bugs.kde.org/show_bug.cgi?id=132460 and

To reproduce:
Use bluecurve style. Run kdevelop in 'simplified ideal' mode. Compare to other
Comment 1 David Zeuthen 2006-11-08 13:50:21 EST
-> than (but should probably be moved to Fedora Legacy since it's FC4)
Comment 2 Matthew Woehlke 2006-11-08 16:12:30 EST
No need to do that. It's just as broken with redhat-artwork-5.0.8 (I just checked).

Oh, and 'GtkStyle' doesn't compile - I had to take out the SH_GUIStyle block.

Btw, the culprit for the size issue (from KDevelop's standpoint, anyway) is
sizeFromContents which aggressively makes ToolButton's no less than 32 pixels
high (and PushButton's similarly no less than 30 pixels high).
Comment 3 Christian Iseli 2007-01-22 06:15:58 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 4 Matthew Woehlke 2007-01-26 10:51:13 EST
Sorry for the delay. Actually the original version should have been RHAS4, but I
also just tested in FC6. I was on a totally different box, so I can't compare
very well, but it is definitely still broken. Even worse, the text placement on
the vertical tabs is wrong; it is not centered and not far enough from the icons.
Comment 5 Bug Zapper 2008-04-04 00:32:27 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 12:45:25 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.